﻿//MK: Authorisation changes #2424, #2389, #2461, #2462

//MK: 31-12-2020  Grant auth request
$(document).on('click', '.grant', function (e) {
    var gxkid = this.getAttribute('gxkid');    
    var receiver = this.getAttribute('receiver');
    var isrevokable = this.getAttribute('isrevokable');
    //var divEmailBody = $("#content_" + gxkid);
    var grantConfirmationDialog = $("#grantConfirmationDialog");
    $("#grant_request").attr("gxkid", gxkid);        
    $("#grant_request").attr("receiver", receiver);

    //MK-PD: 21-01-2021 Authorisation #2607
    var sGrantauthconfbody = "Are you sure you want to grant the request to <span style='color: #CF3535; font-weight: bold'>" + receiver + "</span>?</br>Please make sure <span style='color: #CF3535; font-weight: bold'>" + receiver + "</span> is intended recipient. You can revoke this email to prevent the recipient(s) from gaining access to this email."
    //MK-PD: 21-01-2021 Authorisation #2607
    $("#grantauthconfbody").html(sGrantauthconfbody);

    $("#grant_request").attr("isrevokable", isrevokable);
    grantConfirmationDialog.modal('toggle');
});

$(document).on('click', '#grant_request', function (e) {
    // get the gxkid
    var gxkid = this.getAttribute('gxkid');    
    var receiver = this.getAttribute('receiver');
    var isrevokable = this.getAttribute('isrevokable');
    fnGrantOrDenyAuthRequest(gxkid, true, receiver, isrevokable);
});


//MK: 04-01-2021  Deny auth request
$(document).on('click', '.deny', function (e) {
    var gxkid = this.getAttribute('gxkid');
    var receiver = this.getAttribute('receiver');
    var isrevokable = this.getAttribute('isrevokable');
    //var divEmailBody = $("#content_" + gxkid);
    var denyConfirmationDialog = $("#denyConfirmationDialog");
    $("#deny_request").attr("gxkid", gxkid);
    $("#deny_request").attr("receiver", receiver);

    //MK-PD: 21-01-2021 Authorisation #2607
    var sDenyauthconfbody = "Are you sure you want to deny the request to <span style='color: #CF3535; font-weight: bold'>" + receiver + "</span>?<\/br>Please make sure <span style='color: #CF3535; font-weight: bold'>" + receiver + "</span> is intended recipient.Once the request is denied, the recipient cannot make the request again.";
    //MK-PD: 21-01-2021 Authorisation #2607

    $("#denyauthconfbody").html("");
    $("#denyauthconfbody").html(sDenyauthconfbody);

    $("#deny_request").attr("isrevokable", isrevokable);
    denyConfirmationDialog.modal('toggle');
});

$(document).on('click', '#deny_request', function (e) {
    // get the gxkid
    var gxkid = this.getAttribute('gxkid');
    var receiver = this.getAttribute('receiver');
    var isrevokable = this.getAttribute('isrevokable');
    fnGrantOrDenyAuthRequest(gxkid, false, receiver, isrevokable);
});


//MK: 05-01-2021 Geants or denies and sends ntificaiton to requester
function fnGrantOrDenyAuthRequest(gxkid, granted, receiver, isrevokable) {
    // Before we proceed lets check if the email can be revoked
    //var bProceed = false;
    //var divListing = $("#LI_" + gxkid);
    //if (divListing != undefined) {
    //    var strRevocable = divListing.attr("data-email-can-be-revoked");
    //    if (strRevocable == "1") {
    //        bProceed = true;
    //    }
    //}
    
    if (gxkid != undefined) {
        if (granted == true) {
            //MK-PD: 21-01-2021 Authorisation #2607
            fnShowOverlay('Authorising...');
        }
        else {
            fnShowOverlay('Denying...');
        }

            $.post("/Authorisation/GrantOrDenyAuthorisation",
                {
                    strGxkId: gxkid,
                    bGrant: granted,
                    strReceiver: receiver,
                    bRevokable:isrevokable
                })
                .done(function (data) {
                    fnHideOverlay();
                    var obj = jQuery.parseJSON(data);
                    if (obj.result == "true") {
                        // Remove from the listing
                        var spanMeta = $("#RV_" + gxkid);
                        spanMeta.show(250);
                        var options = {};
                        options['closeButton'] = true;
                        options['positionClass'] = "toast-top-center";
                        options['type'] = "success";
                        var title = "Authorisation";
                        window.location.reload();
                        toastr[options.type](obj.message, title, options);
                    }
                    //MK: 29-01-2021 #2614
                    else if (obj.result == "false")
                    {
                        if (obj.data != null)
                        {
                            window.location = obj.data;
                        }
                        else
                        {
                            var options = {};
                            options['closeButton'] = true;
                            options['positionClass'] = "toast-top-center";
                            options['type'] = "error";
                            var title = "Authorisation Request Error";
                            toastr[options.type](obj.message, title, options);
                        }
                    }
                })
                .fail(function () {
                    fnHideOverlay();
                    toastr.error("Unable to authorise at this moment", { "positionClass": "toast-top-center" });
                });
        }
    
    else {
        var options = {};
        options['closeButton'] = true;
        options['positionClass'] = "toast-top-center";
        options['type'] = "error";
        var title = "Revocation Error";
        toastr[options.type]("This email cannot be revoked as it was not set for revocation when sent originally.", title, options);
    }
};

