﻿function b64EncodeUnicode(str) {
    // first we use encodeURIComponent to get percent-encoded UTF-8,
    // then we convert the percent encodings into raw bytes which
    // can be fed into btoa.
    return btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g,
        function toSolidBytes(match, p1) {
            return String.fromCharCode('0x' + p1);
        }));
}
function b64DecodeUnicode(str) {
    // Going backwards: from bytestream, to percent-encoding, to original string.
    return decodeURIComponent(atob(str).split('').map(function (c) {
        return '%' + ('00' + c.charCodeAt(0).toString(16)).slice(-2);
    }).join(''));
}

//2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised
//// This function gets the standard Galaxkey Secured Email Templates
//function fnGetTemplates() {
//    // SHOW overlay
//    $('#overlay').show();
//    $.ajax({
//        cache: false,
//        url: '/CorporateConfiguration/StandardTemplates',
//        data: '',
//        type: 'POST',
//        success: function (data) {
//            $('#overlay').hide();
//            if (data != '') {
//                var jSon = JSON.parse([data]);
//                var bResult = jSon['result'];
//                if (bResult == false) {
//                    $("#dialogMessage").text(jSon['message']);
//                    $("#dialog-message").dialog('open');
//                }
//                else {
//                    var strStdHtml = jSon['html'];
//                    var strStdText = jSon['text'];
//                    CKEDITOR.instances.custom_encryption_email_html.setData(strStdHtml);
//                    $('#custom_encryption_email_text').val(strStdText);
//                }
//            }
//        },
//        complete: function () {
//            // Hide the processing gif
//            $('#overlay').hide();
//        }
//    });
//}

//// This function gets the standard Galaxkey geo fencing template
//function fnGetTemplatesForGeoFencing() {
//    // SHOW overlay
//    $('#overlay').show();
//    $.ajax({
//        cache: false,
//        url: '/CorporateConfiguration/StandardTemplates',
//        data: '',
//        type: 'POST',
//        success: function (data) {
//            $('#overlay').hide();
//            if (data != '') {
//                var jSon = JSON.parse([data]);
//                var bResult = jSon['result'];
//                if (bResult == false) {
//                    $("#dialogMessage").text(jSon['message']);
//                    $("#dialog-message").dialog('open');
//                }
//                else {
//                    var strgeofencing_html_template = jSon['geofencing_html_template'];
//                    CKEDITOR.instances.geofencing_html_template.setData(strgeofencing_html_template);
//                    //$('#geofencing_email').val('');
//                }
//            }
//        },
//        complete: function () {
//            // Hide the processing gif
//            $('#overlay').hide();
//        }
//    });
//}

//$(document).on('click', '#resetTemplates', function (e) {

//    webix.confirm({
//        title: "Confirm", text: "Do you want to reset to default templates?", width: 400, callback: function (result) {
//            if (result == true) {
//                CKEDITOR.instances.L8F2.setData("<div style=\"background-color:#3535CD;color:#FFFFFF;font-family: helvetica, arial, sans-serif; font-size:10px;text-align:center;padding-top:5px;padding-bottom:5px\">%CLASSIFY%</div><br>");
//                $('#L8F3').val("************************************************\n%CLASSIFY%\n************************************************\n");
//            }
//        }
//    });
//});

//$(document).on('click', '.workspace_template_reset', function (e) {
//    $resetBtn = this;
//    webix.confirm({
//        title: "Confirm", text: "Do you want to reset to default template?", width: 400, callback: function (result) {
//            if (result == true) {
//                $id = $resetBtn.getAttribute("data_id");
//                if ($id == "1") {
//                    $("#workspace_template_1_subject").val("Workspace Created: $WORKSPACENAME$");
//                    CKEDITOR.instances["workspace_template_1"].setData(fnGetWorkspaceEmailTempate($id));
//                }
//                else if ($id == "2") {
//                    $("#workspace_template_2_subject").val("You have been added as a member to Workspace: $WORKSPACENAME$");
//                    CKEDITOR.instances["workspace_template_2"].setData(fnGetWorkspaceEmailTempate($id));
//                }
//                else if ($id == "3") {
//                    $("#workspace_template_3_subject").val("File Uploaded To: $WORKSPACENAME$");
//                    CKEDITOR.instances["workspace_template_3"].setData(fnGetWorkspaceEmailTempate($id));
//                }
//                else if ($id == "4") {
//                    $("#workspace_template_4_subject").val("Find Attached Documents");
//                    CKEDITOR.instances["workspace_template_4"].setData(fnGetWorkspaceEmailTempate($id));
//                }
//                else if ($id == "5") {
//                    $("#workspace_template_5_subject").val("Workspace Notification");
//                    CKEDITOR.instances["workspace_template_5"].setData(fnGetWorkspaceEmailTempate($id));
//                }
//                else if ($id == "6") {
//                    $("#workspace_template_6_subject").val("You have been added as a reviewer to Workspace: $WORKSPACENAME$");
//                    CKEDITOR.instances["workspace_template_6"].setData(fnGetWorkspaceEmailTempate($id));
//                }
//            }
//        }
//    });
//});

//function fnGetWorkspaceEmailTempate($id) {
//    $strReturnValue = "";
//    if ($id == "1") {
//        $strReturnValue = "<p>Hi,</p><p>I have created a Secure Workspace in our Corporate Collaboration Platform. I have added you as a member to this workspace.</p><p><strong>Workspace Name</strong>: $WORKSPACENAME$</p><p><strong>Description</strong>: $WORKSPACEDESCRIPTION$</p><p>You can access this workspace with the following URL. Click the URL or copy and paste into your browser.</p><p><strong>Workspace URL</strong>: <a href=\"$WORKSPACEURL$\">$WORKSPACEURL$</a></p><p>&nbsp;</p><p>$SIGNATURE$</p>";
//    }
//    else if ($id == "2") {
//        $strReturnValue = "<p>Hi,</p><p>I have created a Secure Workspace in our Corporate Collaboration Platform. I have added you as a member to this workspace.</p><p><strong>Workspace Name</strong>: $WORKSPACENAME$</p><p><strong>Description</strong>: $WORKSPACEDESCRIPTION$</p><p>You can access this workspace with the following URL. Click the URL or copy and paste into your browser.</p><p><strong>Workspace URL</strong>: <a href=\"$WORKSPACEURL$\">$WORKSPACEURL$</a></p><p>&nbsp;</p><p>$SIGNATURE$</p>";
//    }
//    else if ($id == "3") {
//        $strReturnValue = "<p>Hi,</p><p>I have added files to the following Secure Workspace</p><p><strong>Folder where files are added/updated:&nbsp;</strong><br />$FOLDER_LOCATION$</p><p><strong>File/s Added/Updated:<br />​</strong>$FILE_LIST$</p><p>&nbsp;</p><p>You can access this workspace with the following URL. Click the URL or copy and paste into your browser.</p><p><strong>Workspace URL</strong>: <a href=\"$WORKSPACEURL$\">$WORKSPACEURL$</a></p><p>$SIGNATURE$</p>";
//    }
//    else if ($id == "4") {
//        $strReturnValue = "<p>Hi,</p><p>I have attached the following documents to this email</p><p><strong>Attached Documents</strong>:<br />$FILE_LIST$</p><p>$SIGNATURE$</p>";
//    }
//    else if ($id == "5") {
//        $strReturnValue = "<p><strong>Notification From</strong>:<br />$NOTIFICATION_FROM$</p><p><strong>Event</strong>:<br />$ACTION$</p><p><strong>Document Path</strong>:<br />$FILE_PATH_NAME$</p><p><strong>Workspace Name</strong>:<br/>$WORKSPACENAME$</p>";
//    }
//    else if ($id == "6") {
//        $strReturnValue = "<p>Hi,</p><p>I have added you to <strong>review</strong> files in a workspace.</p><p><strong>Workspace Name</strong>: $WORKSPACENAME$</p><p><strong>Description</strong>: $WORKSPACEDESCRIPTION$</p><p>You can access this workspace with the following URL. Click the URL or copy and paste into your browser.</p><p><strong>Workspace URL</strong>: <a href=\"$WORKSPACEURL$\">$WORKSPACEURL$</a></p><p>&nbsp;</p><p>$SIGNATURE$</p>";
//    }
//    return $strReturnValue;
//}

//// This function gets the standard Galaxkey header and footer templates
//function fnGetTemplatesForNotifications() {
//    var strContent = '';
//    strContent += "    <table align=\"center\" width=\"100%\" style=\"border: none; background-color: #ffffff; text-align: center;padding: 30px;\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
//    strContent += "        <tr>";
//    strContent += "            <td>";
//    strContent += "                <table align=\"center\" style=\"border: none; text-align: left;\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
//    strContent += "                    <tr>";
//    strContent += "                        <td>";
//    strContent += "                            <table style=\"border: none;\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
//    strContent += "                                <tr>";
//    strContent += "                                    <td colspan=\"2\">";
//    strContent += "                                        <table width=\"100%\" style=\"border: none; border-collapse:collapse; font-family: Helvetica, Arial, sans-serif; font-size:18px; color: #000000;\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
//    strContent += "											<tr>";
//    strContent += "												<td>";
//    strContent += "													<a href=\"http://www.galaxkey.com\"><img alt=\"Email from Galaxkey\" src=\"http://www.galaxkey.com/required/smalllogo.jpg\"/></a>";
//    strContent += "												</td>";
//    strContent += "											</tr>";
//    strContent += "										</table>";
//    strContent += "                                    </td>";
//    strContent += "                                </tr>";
//    strContent += "                                <tr>";
//    strContent += "                                    <td style=\"text-align:center;border-bottom: 3px solid #cf3533; border-top: 3px solid #cf3533; background-color: #ffffff;\" valign=\"top\">";
//    strContent += "                                        <table background=\"#ffffff\" style=\"background-color: #ffffff; border: none; border-collapse:collapse; font-family: Helvetica, Arial, sans-serif; font-size:14px; color: #333333;\" cellpadding=\"0\" cellspacing=\"0\">";
//    strContent += "                                            <tr>";
//    strContent += "                                                <td valign=\"top\" style=\"text-align:left;padding: 30px;\">";
//    strContent += "													<p>";
//    strContent += "													$EMAIL_MESSAGE$";
//    strContent += "                                                    </p>";
//    strContent += "												</td>";
//    strContent += "                                            </tr>";
//    strContent += "                                            <tr>";
//    strContent += "	                                            <td colspan=\"2\" style=\"text-align:center;\"><span style=\"color:#000000;font-size:10px\">PLEASE DO NOT REPLY TO THIS MAIL. THIS IS AN AUTO GENERATED MAIL AND REPLIES TO THIS EMAIL ID ARE NOT ATTENDED</span><br/><br/></td>";
//    strContent += "                                            </tr>";
//    strContent += "                                        </table>";
//    strContent += "                                    </td>";
//    strContent += "                                </tr>";
//    strContent += "                                <tr>";
//    strContent += "                                    <td colspan=\"2\" style=\"background-color:#f6f6f6; padding:0px 0 10px 0;color:rgb(187,189,191);\">";
//    strContent += "                                        <table width=\"100%\" cellspacing=\"0\" cellpadding=\"10\" style=\"border: 0; border-collapse:collapse; border: none; border-collapse:collapse; font-family: Helvetica, Arial, sans-serif; font-size:12px; color: #333333;\">";
//    strContent += "                                            <tr>";
//    strContent += "                                                <td style=\"width:50%\" valign=\"top\">";
//    strContent += "                                                    <p style=\"margin:0;padding:0;\">";
//    strContent += "                                                    </p>";
//    strContent += "                                                </td>";
//    strContent += "                                            </tr>";
//    strContent += "                                            ";
//    strContent += "                                        </table>";
//    strContent += "                                    </td>";
//    strContent += "                                </tr>";
//    strContent += "                            </table>";
//    strContent += "                        </td>";
//    strContent += "                    </tr>";
//    strContent += "                </table>";
//    strContent += "            </td>";
//    strContent += "        </tr>";
//    strContent += "    </table>";
//    strContent += "</body>";
//    strContent += "</html>";


//    CKEDITOR.instances.notification_email_template.setData(strContent);
//}



//function fnGetCustomInviteTemplate() {

//    // SHOW overlay
//    $('#overlay').show();
//    $.ajax({
//        cache: false,
//        url: '/CorporateConfiguration/StandardTemplates',
//        data: '',
//        type: 'POST',
//        success: function (data) {
//            $('#overlay').hide();
//            if (data != '') {
//                var jSon = JSON.parse([data]);
//                var bResult = jSon['result'];
//                if (bResult == false) {
//                    $("#dialogMessage").text(jSon['message']);
//                    $("#dialog-message").dialog('open');
//                }
//                else {
//                    var strInvitationTextTemplate = jSon['invitation_text_template'];
//                    CKEDITOR.instances.custom_invitation_email.setData(strInvitationTextTemplate);
//                }
//            }
//        },
//        complete: function () {
//            // Hide the processing gif
//            $('#overlay').hide();
//        }
//    });


//}
//2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised

function updateTips(t) {
    $(".validateTips")
        .text(t)
        .addClass("ui-state-highlight");
    setTimeout(function () {
        $(".validateTips").removeClass("ui-state-highlight", 1500);
    }, 500);
};

function checkLength(o, n, min, max) {
    if (o.val().length > max || o.val().length < min) {
        o.addClass("ui-state-error");
        updateTips("Length of " + n + " must be between " +
            min + " and " + max + ".");
        return false;
    } else {
        return true;
    }
};

function checkRegexp(o, regexp, n) {
    if (!(regexp.test(o.val()))) {
        o.addClass("ui-state-error");
        updateTips(n);
        return false;
    } else {
        return true;
    }
};

$("#L9F15").change(function (event) {

    var satisfied = $('#L9F15').prop('checked');
    if (satisfied != undefined && satisfied != false) {
        $("#leadSignatoryDiv").show();
    } else {
        $("#leadSignatoryDiv").hide();
    }
});
$("#corpconfform").submit(function (e) {
    e.preventDefault();
    //Lets read the classification JSON
    var strClassificationString = "{";
    var strAdditionalConfiguration = "{";
    if (bEnableClassification == true) {
        var htmlTemplate = "";
        if ($("#L8F2").val() != undefined) {
            htmlTemplate = CKEDITOR.instances.L8F2.getData();
        }
        var textTemplate = $("#L8F3").val();

        htmlTemplate = Base64.encode(htmlTemplate);
        textTemplate = Base64.encode(textTemplate);

        var classification = "";
        if (classificationJSON != undefined) {
            classification = Base64.encode(JSON.stringify(classificationJSON));
        }

        strClassificationString += "\"L8\":{";
        strClassificationString += "\"L8F1\":\"" + $("#L8F1").prop('checked') + "\",";
        strClassificationString += "\"L8F2\":\"" + htmlTemplate + "\",";
        strClassificationString += "\"L8F3\":\"" + textTemplate + "\",";
        strClassificationString += "\"L8F4\":\"" + $("#L8F4").val() + "\",";
        strClassificationString += "\"L8F5\":\"" + classification + "\",";
        strClassificationString += "\"L8F6\":\"" + $("#L8F6").prop('checked') + "\",";
        strClassificationString += "\"L8F7\":\"" + $("#L8F7").prop('checked') + "\"";
        strClassificationString += "}";
    }
    strClassificationString += "}";
    $("#classification").val(Base64.encode(strClassificationString));


    /*25_10_2018_RJS*/
    // Check for Secure Collaboration Settings
    var strSecureCollaboration = "{";
    if (bEnableSecureCollaboration == true) {
        strSecureCollaboration += "\"L11\":{";
        strSecureCollaboration += "\"L11F1\":\"" + Base64.encode($("#L11F1").val()) + "\",";
        strSecureCollaboration += "\"L11F2\":\"" + Base64.encode($("#L11F2").val()) + "\",";
        strSecureCollaboration += "\"L11F3\":\"" + Base64.encode($("#L11F3").val()) + "\",";
        strSecureCollaboration += "\"L11F4\":\"" + Base64.encode($("#L11F4").val()) + "\",";
        strSecureCollaboration += "\"L11F5\":\"" + Base64.encode($("#L11F5").val()) + "\",";
        strSecureCollaboration += "\"L11F8\":\"" + Base64.encode($("#L11F8").val()) + "\",";
        strSecureCollaboration += "\"L11F9\":\"" + Base64.encode($("#L11F9").val()) + "\",";
        //2020-07-01 RJS
        strSecureCollaboration += "\"L11F23\":\"" + Base64.encode($("#L11F23").val()) + "\",";
        //2020-07-01 RJS
        strSecureCollaboration += "\"L11F10\":\"" + $("#L11F10").prop('checked').toString() + "\",";
        strSecureCollaboration += "\"L11F11\":\"" + $("#L11F11").prop('checked').toString() + "\",";
        strSecureCollaboration += "\"L11F17\":\"" + $("#L11F17").prop('checked').toString() + "\",";
        strSecureCollaboration += "\"L11F18\":\"" + $("#L11F18").prop('checked').toString() + "\",";
        strSecureCollaboration += "\"L11F19\":\"" + $("#L11F19").prop('checked').toString() + "\",";
        strSecureCollaboration += "\"L11F20\":\"" + $("#L11F20").prop('checked').toString() + "\",";
        /*2020-04-03 RJS LAA CHANGES*/
        strSecureCollaboration += "\"L11F21\":\"" + $("#L11F21").prop('checked').toString() + "\",";
        strSecureCollaboration += "\"L11F22\":\"" + $("#L11F22").prop('checked').toString() + "\",";
        /*2020-04-03 RJS LAA CHANGES*/
        strSecureCollaboration += "\"L11F12\":\"" + Base64.encode($("#L11F12").val()) + "\",";

        //2020-07-27 RJS
        strSecureCollaboration += "\"L11F24\":\"" + $("#L11F24").prop('checked').toString() + "\",";
        //2020-07-27 RJS


        //2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised
        //// Read the email templates
        //$workspace_template_1 = CKEDITOR.instances.workspace_template_1.getData();
        //$workspace_template_2 = CKEDITOR.instances.workspace_template_2.getData();
        //$workspace_template_3 = CKEDITOR.instances.workspace_template_3.getData();
        //$workspace_template_4 = CKEDITOR.instances.workspace_template_4.getData();
        //$workspace_template_5 = CKEDITOR.instances.workspace_template_5.getData();
        //$workspace_template_6 = CKEDITOR.instances.workspace_template_6.getData();
        //$workspace_template_1_subject = $("#workspace_template_1_subject").val();
        //$workspace_template_2_subject = $("#workspace_template_2_subject").val();
        //$workspace_template_3_subject = $("#workspace_template_3_subject").val();
        //$workspace_template_4_subject = $("#workspace_template_4_subject").val();
        //$workspace_template_5_subject = $("#workspace_template_5_subject").val();
        //$workspace_template_6_subject = $("#workspace_template_6_subject").val();

        //$workspace_templates = "{";
        //$workspace_templates += "\"1\":{";
        //$workspace_templates += "\"subject\":\"" + b64EncodeUnicode($workspace_template_1_subject) + "\",";
        //$workspace_templates += "\"body\":\"" + b64EncodeUnicode($workspace_template_1) + "\"";
        //$workspace_templates += "},";
        //$workspace_templates += "\"2\":{";
        //$workspace_templates += "\"subject\":\"" + b64EncodeUnicode($workspace_template_2_subject) + "\",";
        //$workspace_templates += "\"body\":\"" + b64EncodeUnicode($workspace_template_2) + "\"";
        //$workspace_templates += "},";
        //$workspace_templates += "\"3\":{";
        //$workspace_templates += "\"subject\":\"" + b64EncodeUnicode($workspace_template_3_subject) + "\",";
        //$workspace_templates += "\"body\":\"" + b64EncodeUnicode($workspace_template_3) + "\"";
        //$workspace_templates += "},";
        //$workspace_templates += "\"4\":{";
        //$workspace_templates += "\"subject\":\"" + b64EncodeUnicode($workspace_template_4_subject) + "\",";
        //$workspace_templates += "\"body\":\"" + b64EncodeUnicode($workspace_template_4) + "\"";
        //$workspace_templates += "},";
        //$workspace_templates += "\"5\":{";
        //$workspace_templates += "\"subject\":\"" + b64EncodeUnicode($workspace_template_5_subject) + "\",";
        //$workspace_templates += "\"body\":\"" + b64EncodeUnicode($workspace_template_5) + "\"";
        //$workspace_templates += "},";
        //$workspace_templates += "\"6\":{";
        //$workspace_templates += "\"subject\":\"" + b64EncodeUnicode($workspace_template_6_subject) + "\",";
        //$workspace_templates += "\"body\":\"" + b64EncodeUnicode($workspace_template_6) + "\"";
        //$workspace_templates += "}";
        //$workspace_templates += "}";
        //strSecureCollaboration += "\"L11F13\":\"" + b64EncodeUnicode($workspace_templates) + "\",";
        strSecureCollaboration += "\"L11F13\":\"\",";
        //2020-05-20 RJS - We are removing the code to add the email templates

        strSecureCollaboration += "\"L11F14\":\"" + Base64.encode($("#L11F14").val()) + "\",";
        strSecureCollaboration += "\"L11F15\":\"" + Base64.encode($("#L11F15").val()) + "\",";

        $GDPRPolicy = CKEDITOR.instances.L11F16.getData();
        $GDPRPolicy = b64EncodeUnicode($GDPRPolicy);
        strSecureCollaboration += "\"L11F16\":\"" + $GDPRPolicy + "\"";


        strSecureCollaboration += "}";
    }
    strSecureCollaboration += "}";
    $("#SecureCollaborationJSON").val(Base64.encode(strSecureCollaboration));
    /*25_10_2018_RJS*/


    // DDS Features
    if (bDDS == true) {
        strAdditionalConfiguration += "\"L9\":{";
        if ($("#L9F1") != undefined && $("#L9F1").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F1\":\"" + $("#L9F1").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F1\":\"false\",";
        }
        if ($("#L9F2") != undefined && $("#L9F2").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F2\":\"" + $("#L9F2").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F2\":\"false\",";
        }
        if ($("#L9F3") != undefined && $("#L9F3").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F3\":\"" + $("#L9F3").prop('checked') + "\",";
        }
        //2020-09-10 PD: for adding the configurations for multisign, multi stamp and certificate.
        else {
            strAdditionalConfiguration += "\"L9F3\":\"false\",";
        }
        if ($("#L9F4") != undefined && $("#L9F4").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F4\":\"" + $("#L9F4").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F4\":\"false\",";
        }
        if ($("#L9F5") != undefined && $("#L9F5").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F5\":\"" + $("#L9F5").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F5\":\"false\",";
        }
        //2021-01-29 : PD : ADD THE CONSENT TEXT,SHOW INFO FOR SIGNATORY BUTTON CONFIGURATION #2503,2504,2508,2509
        if ($("#L9F6") != undefined && $("#L9F6").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F6\":\"" + $("#L9F6").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F6\":\"false\",";
        }
        //2021-10-18 PD: #3933
        if ($("#L9F13") != undefined && $("#L9F13").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F13\":\"" + $("#L9F13").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F13\":\"false\",";
        }
        //2022-01-19 PD: #4484
        if ($("#L9F14") != undefined && $("#L9F14").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F14\":\"" + $("#L9F14").prop('checked') + "\",";
        }
        else {
            strAdditionalConfiguration += "\"L9F14\":\"false\",";
        }
        //2022-01-19 PD: #4484
        if ($("#L9F15") != undefined && $("#L9F15").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F15\":\"" + $("#L9F15").prop('checked') + "\",";

        }
        else {
            strAdditionalConfiguration += "\"L9F15\":\"false\",";

        }
        //2022-01-19 PD: #4484
         //2022-01-19 PD: #4912
        if ($("#L9F16") != undefined && $("#L9F16").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F16\":\"" + $("#L9F16").prop('checked') + "\",";

        }
        else {
            strAdditionalConfiguration += "\"L9F16\":\"false\",";

        }
         //2022-01-19 PD: #4912
        //2022-04-27 PD: #5032
        if ($("#L9F19") != undefined && $("#L9F19").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F19\":\"" + $("#L9F19").prop('checked') + "\",";

        }
        else {
            strAdditionalConfiguration += "\"L9F19\":\"false\",";

        }
        //2022-04-27 PD: #5032       
       //2022-07-20 PD #5657
        if ($("#L9F23") != undefined && $("#L9F23").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F23\":\"" + $("#L9F23").prop('checked') + "\",";

        }
        else {
            strAdditionalConfiguration += "\"L9F23\":\"false\",";

        }
         //2022-07-20 PD #5657
        $consenttext = CKEDITOR.instances.L9F7.getData();
        $consenttext = b64EncodeUnicode($consenttext);
        strAdditionalConfiguration += "\"L9F7\":\"" + $consenttext + "\",";
        strAdditionalConfiguration += "\"L9F8\":\"" + $("#L9F8").val() + "\",";
        //2022-04-27 PD: #5032
        strAdditionalConfiguration += "\"L9F17\":\"" + $("#L9F17").val() + "\",";
        strAdditionalConfiguration += "\"L9F18\":\"" + $("#L9F18").val() + "\",";
        //2022-04-27 PD: #5032
        strAdditionalConfiguration += "\"L9F10\":\"" + $("#L9F10").val() + "\",";
        strAdditionalConfiguration += "\"L9F11\":\"" + $("#L9F11").val() + "\",";
        //MK: 23-08-2021 #3639 : Configure DDS Signing Certificate for specific corporate
        strAdditionalConfiguration += "\"L9F12\":\"" + $("#L9F12").val() + "\",";
        //MK: 23-08-2021 #3639 : Configure DDS Signing Certificate for specific corporate

        if ($("#L9F9") != undefined && $("#L9F9").prop('checked') != undefined) {
            strAdditionalConfiguration += "\"L9F9\":\"" + $("#L9F9").prop('checked') + "\"";
        }
        else {
            strAdditionalConfiguration += "\"L9F9\":\"false\"";
        }
        strAdditionalConfiguration += "},";
    }

    // Add the additional configurations to the additionalConfigurations field
    strAdditionalConfiguration += "\"L5\":{";
    if ($("#L5F2") != undefined && $("#L5F2").prop('checked') != undefined) {
        strAdditionalConfiguration += "\"L5F2\":\"" + $("#L5F2").prop('checked') + "\"";
    }
    else {
        strAdditionalConfiguration += "\"L5F2\":\"false\"";
    }
    strAdditionalConfiguration += "},";
    strAdditionalConfiguration += "\"L13\":{";
    if ($("#L13F1") != undefined && $("#L13F1").prop('checked') != undefined) {
        strAdditionalConfiguration += "\"L13F1\":\"" + $("#L13F1").prop('checked') + "\",";
    }
    else {
        strAdditionalConfiguration += "\"L13F1\":\"false\",";
    }

    if ($("#L13F2") != undefined && $("#L13F2").val() != undefined) {
        strAdditionalConfiguration += "\"L13F2\":\"" + Base64.encode($("#L13F2").val()) + "\"";
    }
    else {
        strAdditionalConfiguration += "\"L13F2\":\"" + Base64.encode('') + "\"";
    }
    strAdditionalConfiguration += "},";


    strAdditionalConfiguration += "\"L23\":{";
    if ($("#L23F2") != undefined && $("#L23F2").val() != undefined) {
        strAdditionalConfiguration += "\"L23F2\":\"" + Base64.encode($("#L23F2").val()) + "\",";
    }
    else {
        strAdditionalConfiguration += "\"L23F2\":\"" + Base64.encode('3') + "\",";
    }

    if ($("#L23F3") != undefined && $("#L23F3").val() != undefined) {
        strAdditionalConfiguration += "\"L23F3\":\"" + Base64.encode($("#L23F3").val()) + "\",";// OUK 29/04/2021 3053 NRR
    }
    else {
        strAdditionalConfiguration += "\"L23F3\":\"" + Base64.encode('15') + "\",";// OUK 29/04/2021 3053 NRR
    }
    // OUK 29/04/2021 3053 NRR
    if ($("#L23F4") != undefined && $("#L23F4").prop('checked') != undefined) {
        strAdditionalConfiguration += "\"L23F4\":\"" + $("#L23F4").prop('checked') + "\",";
    }
    else {
        strAdditionalConfiguration += "\"L23F4\":\"false\",";
    }
    // OUK 29/04/2021 3053 NRR

    // PD 04/10/2021 3053 NRR
    if ($("#L23F5") != undefined && $("#L23F5").prop('checked') != undefined) {
        strAdditionalConfiguration += "\"L23F5\":\"" + $("#L23F5").prop('checked') + "\"";
    }
    else {
        strAdditionalConfiguration += "\"L23F5\":\"false\"";
    }
    // PD  04/10/2021  3053 NRR
    strAdditionalConfiguration += "}";
    /*2021-05-21 KMB check for SDS*/
    strAdditionalConfiguration += getSDSConf();
    /*2021-05-21 KMB check for SDS*/

    //2022-04-07 KMB set lockchat conf data 4911
    //strAdditionalConfiguration += getLockChatEnterprise();
    //2022-04-07 KMB set lockchat conf data

    strAdditionalConfiguration += "}";
    $("#AdditionalConfigurationJSON").val(Base64.encode(strAdditionalConfiguration));


    /*25-03-2020 RJS*/
    var strYotiVerify = "{";
    if (bEnableYotiVerify == true) {
        strYotiVerify += "\"L26\":{";
        strYotiVerify += "\"L26F1\":\"" + Base64.encode($("#L26F1").val()) + "\",";
        strYotiVerify += "\"L26F2\":\"" + Base64.encode($("#L26F2").val()) + "\",";
        strYotiVerify += "\"L26F3\":\"" + Base64.encode($("#L26F3").val()) + "\",";
        strYotiVerify += "\"L26F4\":\"" + Base64.encode($("#L26F4").val()) + "\",";
        //02/03/2021 OUK 2799
        strYotiVerify += "\"L26F7\":\"" + Base64.encode($("#L26F7").val()) + "\",";
        strYotiVerify += "\"L26F8\":\"" + Base64.encode($("#L26F8").val()) + "\"";
        //02/03/2021 OUK 2799
        strYotiVerify += "}";
    }
    strYotiVerify += "}";
    $("#YotiVerifyJSON").val(Base64.encode(strYotiVerify));
    /*25-03-2020 RJS*/

    var form = this;
    form.submit();
});

function getSDSConf() {
    if (bSDS == true) {
        var JsonObj = new Object();

        JsonObj.L29F1 = Base64.encode($("#L29F1").val());
        JsonObj.L29F2 = Base64.encode($("#L29F2").val());
        JsonObj.L29F3 = Base64.encode($("#L29F3").val());
        JsonObj.L29F4 = Base64.encode($("#L29F4").val());
        var strSDSConf = "," + "\"L29\":" + JSON.stringify(JsonObj);
        console.log(strSDSConf)
        return strSDSConf;
    }
    return "";
}

/*2021-05-24 KMB show SDS*/
function setSDSConfData() {
    /*2021-05-24 KMB show SDS*/
    if (bSDS == true) {
        $("#EXT_L29").show(250);
        $("#li_conf_sds").show(250);
        if (additionalConfigurationJSON.L29 != undefined) {

            if (additionalConfigurationJSON.L29.L29F1 != undefined && additionalConfigurationJSON.L29.L29F1 != '') {
                $('#L29F1').val(Base64.decode(additionalConfigurationJSON.L29.L29F1));
            }
            if (additionalConfigurationJSON.L29.L29F2 != undefined && additionalConfigurationJSON.L29.L29F2 != '') {
                $('#L29F2').val(Base64.decode(additionalConfigurationJSON.L29.L29F2));
            }
            if (additionalConfigurationJSON.L29.L29F3 != undefined && additionalConfigurationJSON.L29.L29F3 != '') {
                $('#L29F3').val(Base64.decode(additionalConfigurationJSON.L29.L29F3));
            }
            if (additionalConfigurationJSON.L29.L29F4 != undefined && additionalConfigurationJSON.L29.L29F4 != '') {
                $('#L29F4').val(Base64.decode(additionalConfigurationJSON.L29.L29F4));
            }
        }
    }
    else {
        if ($("#EXT_L29") != undefined) {
            $("#EXT_L29").hide();
        }
        if ($("#li_conf_sds") != undefined) {
            $("#li_conf_sds").hide();
        }
    }
    /*2021-05-24 KMB*/
}

/*2022-04-06 KMB lockchat Enterprise 4911*/
function getLockChatEnterprise() {
    try {
        if (bLockChatEnterprise === true) {
            var JsonObj = new Object();
            JsonObj.L33F4 = Base64.encode($("#L33F4").val());
            JsonObj.L33F5 = Base64.encode($("#L33F5").val());
            var strLockChatConf = "," + "\"L33\":" + JSON.stringify(JsonObj);
            return strLockChatConf;
        }
        return "";
    } catch (e) { }
    return "";
}
function setLockChatEnterpriseConf() {
    try {
        if (bLockChatEnterprise === true) {
            $("#EXT_L33").show(250);
            $("#li_conf_lockchat").show(250);

            if (additionalConfigurationJSON.L33 != undefined) {

                if (additionalConfigurationJSON.L33.L33F4 != undefined && additionalConfigurationJSON.L33.L33F4 != '') {
                    $('#L33F4').val(Base64.decode(additionalConfigurationJSON.L33.L33F4));
                }
                if (additionalConfigurationJSON.L33.L33F5 != undefined && additionalConfigurationJSON.L33.L33F5 != '') {
                    $('#L33F5').val(Base64.decode(additionalConfigurationJSON.L33.L33F5));
                }
            }
        }
        else {

            $("#EXT_L33").hide();
            $("#li_conf_lockchat").hide();
        }
    } catch (e) { }
}
/*2022-04-06 KMB lockchat Enterprise*/

$(document).ready(function () {
    //2021-12-01 #4180
    $("#btnAddMetadata").click(function () {

        // SHOW overlay

        var label = $("#metadatalabel").val();
        if (label == '') {
            $("#errormessagemetadata").html("Please provide label");
            $("#errormessagemetadata").show();
            return;
        }
        var defaultValue = $("#metadataDefaultValue").val();
        var isOptional = false;
        var showOnDashboard = false;
        if ($("#chkisOptional").is(':checked')) {
            isOptional = true;
        } else {
            isOptional = false;
        }
        if ($("#chkshowOnDashboard").is(':checked')) {
            showOnDashboard = true;
        } else {
            showOnDashboard = false;
        }
        $("#loaderForAddMetadata").show();
        $("#btnCancelAddMetadata").attr("disabled", "disabled");
        $.ajax({
            cache: false,
            url: "/ElectronicSignatures/AddMetadata",
            data: { label: label, defaultvalue: defaultValue, isoptional: isOptional, showOnDashbaord: showOnDashboard  },
            type: 'POST',
            success: function (data) {
                $("#loaderForAddMetadata").hide();
                window.location.href = data;
            },
            error: function (jqXHR, status, err) {

                $("#loaderForAddMetadata").hide();
            }
        });
    });
    var $esMetadataTable = $('#esMetadataTable');
    if ($esMetadataTable.length) {
        $esMetadataTable = $esMetadataTable.DataTable({
            "bAutoWidth": false,
            order: [[4, "desc"]],
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });

        $(window).on('resize', function (evt) {
            setTimeout(function () {
                $esMetadataTable.columns.adjust().responsive.recalc();
            }, 150);
        });
    }
    //2021-12-01 #4180
    $('.templateDeleteConfirmationDialog').on('shown.bs.modal', function (e) {
        //get data-id attribute of the clicked element
        var id = $(e.relatedTarget).data('id');
        //populate the label in the confirmation dialog
        $(e.currentTarget).find('.deletetemplate').attr("name", id);
    });
    $('.metadataDeleteConfirmationDialog').on('shown.bs.modal', function (e) {
        //get data-id attribute of the clicked element
        var id = $(e.relatedTarget).data('id');
        //populate the label in the confirmation dialog
        $(e.currentTarget).find('.deleteMetadata').attr("name", id);
    });
    $('.deletetemplate').click(function () {
        $(".templateDeleteConfirmationDialog").modal('hide');
        // SHOW overlay

        var templateRefNo = $(this).attr("name");
        $.ajax({
            cache: false,
            url: "/DDSDocTemplate/DeleteTemplate",
            data: { templateRefNo: templateRefNo },
            type: 'POST',
            success: function (data) {
                window.location.href = data;
            },
            error: function (jqXHR, status, err) {
                showAlert('Unable to remove document.');

            }
        });
    });

    $('.deleteMetadata').click(function () {
        $(".metadataDeleteConfirmationDialog").modal('hide');
        // SHOW overlay

        var metadataId = $(this).attr("name");
        $.ajax({
            cache: false,
            url: "/ElectronicSignatures/DeleteMetadata",
            data: { metadataId: metadataId },
            type: 'POST',
            success: function (data) {
                window.location.href = data;
            },
            error: function (jqXHR, status, err) {
                showAlert('Unable to remove document.');

            }
        });
    });
//2021-02-16 PD #4661
    $('.leadSignatoryDeleteConfirmationDialog').on('shown.bs.modal', function (e) {
        //get data-id attribute of the clicked element
        var id = $(e.relatedTarget).data('id');
        //populate the label in the confirmation dialog
        $(e.currentTarget).find('.deleteLeadSignatory').attr("name", id);
    });
    $('.deleteLeadSignatory').click(function () {
        $(".leadSignatoryDeleteConfirmationDialog").modal('hide');
        // SHOW overlay

        var leadSignatoryId = $(this).attr("name");
        $.ajax({
            cache: false,
            url: "/CorporateConfiguration/DeleteLeadSignatory",
            data: { leadSignatoryId: leadSignatoryId },
            type: 'POST',
            success: function (data) {
                window.location.href = data;
            },
            error: function (jqXHR, status, err) {
                showAlert('Unable to remove lead signatory.');

            }
        });
    });
    //2021-02-16 PD #4661
    //2021-1-06 pd : FOR SHOWING THE INFORMATION OF THE TEMPLATE #2127
    $('#ddsTemplatesTable').on('click', '.viewDocTemplate', function () {
        var deviceId = $(this).attr("name");

        $.ajax({
            cache: false,
            async: false,
            url: "/DDSDocTemplate/ViewDocumentTemplate",
            data: { referenceno: deviceId },
            type: 'GET',
            success: function (data) {
                $("#ViewDocumentTemplate").html(data);

                $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                    $.fn.dataTable.tables({ visible: true, api: true }).columns.adjust();
                });
                $('#ViewDocumentTemplate').modal('show');
                return false;
            },
            error: function (jqXHR, status, err) {
                // showAlert('Unable to view document template.');
            }
        });

    });
    //2020-10-26 PD: for ddsdoctemplaye table

    var $datatablesFixedheader = $('#ddsTemplatesTable');
    if ($datatablesFixedheader.length) {
        $datatablesFixedheader = $datatablesFixedheader.DataTable({
            "bAutoWidth": false,
            order: [[2, "desc"]],
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });

        $(window).on('resize', function (evt) {
            setTimeout(function () {
                $datatablesFixedheader.columns.adjust().responsive.recalc();
            }, 150);
        });
    }
    //2022-03-17 PD: #4751
    var $esLeadSignatoryTable = $('#esLeadSignatoryTable');
    if ($esLeadSignatoryTable.length) {
        $esLeadSignatoryTable = $esLeadSignatoryTable.DataTable({
            "bAutoWidth": false,
            order: [[4, "desc"]],
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });

        $(window).on('resize', function (evt) {
            setTimeout(function () {
                $datatablesFixedheader.columns.adjust().responsive.recalc();
            }, 150);
        });
    }
    //2022-03-17 PD: #4751
    if ($$("classficationListing") != null) {
        $$("classficationListing").clearAll();
    }
    if (bEnableClassification == true) {
        $("#EXT_L8").show(250);
        $("#li_conf_classification").show(250);
        if (classsificationDataJSON.L8 != undefined && classsificationDataJSON.L8 != '') {
            if (classsificationDataJSON.L8.L8F1 != undefined && classsificationDataJSON.L8.L8F1 != '') {
                $("#L8F1").attr('checked', (classsificationDataJSON.L8.L8F1.toLowerCase() === 'true'));
                if (classsificationDataJSON.L8.L8F2 != undefined) {
                    CKEDITOR.on('instanceReady', function () {
                        CKEDITOR.instances.L8F2.setData(Base64.decode(classsificationDataJSON.L8.L8F2));
                    });
                }
                else {
                    CKEDITOR.on('instanceReady', function () {
                        CKEDITOR.instances.L8F2.setData("<div style=\"background-color:#3535CD;color:#FFFFFF;font-family: helvetica, arial, sans-serif; font-size:10px;text-align:center;padding-top:5px;padding-bottom:5px\">%CLASSIFY%</div><br>");
                    });
                }
            }
            if (classsificationDataJSON.L8.L8F6 != undefined && classsificationDataJSON.L8.L8F6 != '') {
                $("#L8F6").attr('checked', (classsificationDataJSON.L8.L8F6.toLowerCase() === 'true'));
            }
            if (classsificationDataJSON.L8.L8F7 != undefined && classsificationDataJSON.L8.L8F7 != '') {
                $("#L8F7").attr('checked', (classsificationDataJSON.L8.L8F7.toLowerCase() === 'true'));
            }

            if (classsificationDataJSON.L8.L8F3 != undefined && classsificationDataJSON.L8.L8F3 != '') {
                $('#L8F3').val(Base64.decode(classsificationDataJSON.L8.L8F3));
            }
            if (classsificationDataJSON.L8.L8F5 != undefined && classsificationDataJSON.L8.L8F5 != '') {
                var strClassificationJSON = Base64.decode(classsificationDataJSON.L8.L8F5);
                if (strClassificationJSON != undefined && strClassificationJSON != '') {
                    classificationJSON = $.parseJSON(strClassificationJSON);
                }
                if ($$("classficationListing") != undefined && $$("classficationListing") != '') {
                    $$("classficationListing").clearAll();
                    $$("classficationListing").parse(classificationJSON);
                }
            }
            if (classsificationDataJSON.L8.L8F4 != undefined && classsificationDataJSON.L8.L8F4 != '') {
                $('#L8F4').val(classsificationDataJSON.L8.L8F4);
            }
        }
        else {
            CKEDITOR.on('instanceReady', function () {
                CKEDITOR.instances.L8F2.setData("<div style=\"background-color:#3535CD;color:#FFFFFF;font-family: helvetica, arial, sans-serif; font-size:10px;text-align:center;padding-top:5px;padding-bottom:5px\">%CLASSIFY%</div><br>");
            });
            $('#L8F3').val("************************************************\n%CLASSIFY%\n************************************************\n");
        }
    }
    else {
        $("#EXT_L8").hide();
        $("#li_conf_classification").hide();
    }

    if (bDDS == true) {
        $("#EXT_L9").show(250);
        $("#li_conf_dds").show();
        if (additionalConfigurationJSON.L9 != undefined) {
            if (additionalConfigurationJSON.L9.L9F1 != undefined) {
                $("#L9F1").attr('checked', (additionalConfigurationJSON.L9.L9F1.toLowerCase() === 'true'));
            }
            if (additionalConfigurationJSON.L9.L9F2 != undefined) {
                $("#L9F2").attr('checked', (additionalConfigurationJSON.L9.L9F2.toLowerCase() === 'true'));
            }
            if (additionalConfigurationJSON.L9.L9F3 != undefined) {
                $("#L9F3").attr('checked', (additionalConfigurationJSON.L9.L9F3.toLowerCase() === 'true'));
            }
            //2020-09-10 PD: for adding the configurations for multisign, multi stamp and certificate.
            if (additionalConfigurationJSON.L9.L9F4 != undefined) {
                $("#L9F4").attr('checked', (additionalConfigurationJSON.L9.L9F4.toLowerCase() === 'true'));
            }
            if (additionalConfigurationJSON.L9.L9F5 != undefined) {
                $("#L9F5").attr('checked', (additionalConfigurationJSON.L9.L9F5.toLowerCase() === 'true'));
            }
            if (additionalConfigurationJSON.L9.L9F6 != undefined) {
                $("#L9F6").attr('checked', (additionalConfigurationJSON.L9.L9F6.toLowerCase() === 'true'));
            }
            //2021-10-18 PD: #3933
            if (additionalConfigurationJSON.L9.L9F13 != undefined) {
                $("#L9F13").attr('checked', (additionalConfigurationJSON.L9.L9F13.toLowerCase() === 'true'));
            }
            //2022-01-19 PD: #4484
            if (additionalConfigurationJSON.L9.L9F14 != undefined) {
                $("#L9F14").attr('checked', (additionalConfigurationJSON.L9.L9F14.toLowerCase() === 'true'));
            }
            //2022-01-19 PD: #4484
            if (additionalConfigurationJSON.L9.L9F15 != undefined) {
                $("#L9F15").attr('checked', (additionalConfigurationJSON.L9.L9F15.toLowerCase() === 'true'));
                if (additionalConfigurationJSON.L9.L9F15.toLowerCase() === 'true') {
                    $("#leadSignatoryDiv").show();
                } else {
                    $("#leadSignatoryDiv").hide();
                }
            }
             //2022-01-19 PD: #4912
            if (additionalConfigurationJSON.L9.L9F16 != undefined) {
                $("#L9F16").attr('checked', (additionalConfigurationJSON.L9.L9F16.toLowerCase() === 'true'));                
            }
             //2022-01-19 PD: #4912
            //2022-07-20 PD #5658
            if (additionalConfigurationJSON.L9.L9F23 != undefined) {
                $("#L9F23").attr('checked', (additionalConfigurationJSON.L9.L9F23.toLowerCase() === 'true'));
            }
            //2022-07-20 PD #5658
            //2022-04-27 PD: #5032
            if (additionalConfigurationJSON.L9.L9F19 != undefined) {
                $("#L9F19").attr('checked', (additionalConfigurationJSON.L9.L9F19.toLowerCase() === 'true'));
            }
            //2022-04-27 PD: #5032
            //2021-01-29 PD: #2503,2504,2508,2509
            if (additionalConfigurationJSON.L9.L9F7 != undefined && additionalConfigurationJSON.L9.L9F7 != '') {
                CKEDITOR.on('instanceReady', function () {
                    CKEDITOR.instances.L9F7.setData(b64DecodeUnicode(additionalConfigurationJSON.L9.L9F7));
                    CKEDITOR.instances.L9F7.setData(b64DecodeUnicode(additionalConfigurationJSON.L9.L9F7));
                });
            }
            if (additionalConfigurationJSON.L9.L9F8 != undefined && additionalConfigurationJSON.L9.L9F8 != '') {
                $('#L9F8').val(additionalConfigurationJSON.L9.L9F8);
            }
            //2022-04-27 PD: #5032
            if (additionalConfigurationJSON.L9.L9F18 != undefined && additionalConfigurationJSON.L9.L9F18 != '') {
                $('#L9F18').val(additionalConfigurationJSON.L9.L9F18);
            }
            if (additionalConfigurationJSON.L9.L9F17 != undefined && additionalConfigurationJSON.L9.L9F17 != '') {
                $('#L9F17').val(additionalConfigurationJSON.L9.L9F17);
            }
            //2022-04-27 PD: #5032
            if (additionalConfigurationJSON.L9.L9F9 != undefined) {
                $("#L9F9").attr('checked', (additionalConfigurationJSON.L9.L9F9.toLowerCase() === 'true'));
            }
            if (additionalConfigurationJSON.L9.L9F10 != undefined && additionalConfigurationJSON.L9.L9F10 != '') {
                $('#L9F10').val(additionalConfigurationJSON.L9.L9F10);
            }
            if (additionalConfigurationJSON.L9.L9F11 != undefined && additionalConfigurationJSON.L9.L9F11 != '') {
                $('#L9F11').val(additionalConfigurationJSON.L9.L9F11);
            }
            //MK: 23-08-2021 #3639 : Configure DDS Signing Certificate for specific corporate
            if (additionalConfigurationJSON.L9.L9F12 != undefined && additionalConfigurationJSON.L9.L9F12 != '') {
                $('#L9F12').val(additionalConfigurationJSON.L9.L9F12);
                $('#L9F12_old').val(additionalConfigurationJSON.L9.L9F12);
                $('#strCorpCertificateFileName').val(additionalConfigurationJSON.L9.L9F12);
                $("#SetcertificateDataDiv").hide();
                $("#certificateDataDiv").show();

            } else {
                $("#SetcertificateDataDiv").show();
                $("#certificateDataDiv").hide();
            }
            //MK: 23-08-2021 #3639 : Configure DDS Signing Certificate for specific corporate
        }
    }
    else {
        $("#EXT_L9").hide(250);
        $("#li_conf_dds").hide();

    }
    //2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised
    ///* CUSTOM SECURED EMAIL TEMPLATE */
    //var strCustomTemplate = $('#custom_encryption_email_html').val();
    //if (strCustomTemplate != undefined && strCustomTemplate != "") {
    //    $("#checkBoxCustomSecuredEmail_data").show();
    //    $('#checkBoxCustomSecuredEmail').attr('checked', true);
    //}
    //else {
    //    $("#checkBoxCustomSecuredEmail_data").hide();
    //    $('#checkBoxCustomSecuredEmail').attr('checked', false);
    //};
    //$("#checkBoxCustomSecuredEmail").click(function () {

    //    var satisfied = $('#checkBoxCustomSecuredEmail').prop('checked');
    //    if (satisfied != undefined && satisfied == true) {
    //        $("#checkBoxCustomSecuredEmail_data").show();
    //        $('#checkBoxCustomSecuredEmail').attr('checked', true);
    //        fnGetTemplates();
    //    }
    //    else {
    //        $("#checkBoxCustomSecuredEmail_data").hide();
    //        $('#checkBoxCustomSecuredEmail').attr('checked', false);
    //        CKEDITOR.instances.custom_encryption_email_html.setData("");
    //        $('#custom_encryption_email_text').val("");
    //    }

    //});
    ///* CUSTOM SECURED EMAIL TEMPLATE */


    ///* CUSTOM INVITATION EMAIL TEMPLATE */
    //var strInvitationEmailTemplate = $('#custom_invitation_email').val();
    //if (strInvitationEmailTemplate != undefined && strInvitationEmailTemplate != "") {
    //    $("#checkBoxInvitationEmail_data").show();
    //    $('#checkBoxInvitationEmail').attr('checked', true);
    //}
    //else {
    //    $("#checkBoxInvitationEmail_data").hide();
    //    $('#checkBoxInvitationEmail').attr('checked', false);
    //};
    //$("#checkBoxInvitationEmail").click(function () {

    //    var satisfied = $('#checkBoxInvitationEmail').prop('checked');
    //    if (satisfied != undefined && satisfied == true) {
    //        $("#checkBoxInvitationEmail_data").show();
    //        $('#checkBoxInvitationEmail').attr('checked', true);
    //        fnGetCustomInviteTemplate();
    //    }
    //    else {
    //        $("#checkBoxInvitationEmail_data").hide();
    //        $('#checkBoxInvitationEmail').attr('checked', false);
    //        CKEDITOR.instances.custom_invitation_email.setData("");

    //    }

    //});
    ///* CUSTOM INVITATION EMAIL TEMPLATE */


    ///* CUSTOM GEOFENCE EMAIL TEMPLATE */
    //var strGeoFencingTemplateHtml = $('#geofencing_html_template').val();
    //if (strGeoFencingTemplateHtml != undefined && strGeoFencingTemplateHtml != "") {
    //    $("#checkBoxGeoFencingTemplate_data").show();
    //    $('#checkBoxGeoFencingTemplate').attr('checked', true);
    //}
    //else {
    //    $("#checkBoxGeoFencingTemplate_data").hide();
    //    $('#checkBoxGeoFencingTemplate').attr('checked', false);
    //};

    //$("#checkBoxGeoFencingTemplate").click(function () {

    //    var satisfied = $('#checkBoxGeoFencingTemplate').prop('checked');
    //    if (satisfied != undefined && satisfied == true) {
    //        $("#checkBoxGeoFencingTemplate_data").show(250);
    //        fnGetTemplatesForGeoFencing();
    //    }
    //    else {
    //        $("#checkBoxGeoFencingTemplate_data").hide(250);
    //        CKEDITOR.instances.geofencing_html_template.setData("");
    //    }

    //});
    ///* CUSTOM GEOFENCE EMAIL TEMPLATE */



    ///* CUSTOM NOTIFICATION EMAIL TEMPLATE */
    //var strNotificationsTemplateHtml = $('#notification_email_template').val();
    //if (strNotificationsTemplateHtml != undefined && strNotificationsTemplateHtml != "") {
    //    $("#checkBoxNotificationsTemplate_data").show();
    //    $('#checkBoxNotificationsTemplate').attr('checked', true);
    //}
    //else {
    //    $("#checkBoxNotificationsTemplate_data").hide();
    //    $('#checkBoxNotificationsTemplate').attr('checked', false);
    //};

    //$("#checkBoxNotificationsTemplate").click(function () {

    //    var satisfied = $('#checkBoxNotificationsTemplate').prop('checked');
    //    if (satisfied != undefined && satisfied == true) {
    //        $("#checkBoxNotificationsTemplate_data").show(250);
    //        fnGetTemplatesForNotifications();
    //    }
    //    else {
    //        $("#checkBoxNotificationsTemplate_data").hide(250);
    //        CKEDITOR.instances.notification_email_template.setData("");
    //    }

    //});
    ///* CUSTOM NOTIFICATION EMAIL TEMPLATE */
    //2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised


    /*25_10_2018_RJS*/
    if (bEnableSecureCollaboration == true) {
        $("#EXT_L11").show(250);
        $("#li_conf_workspace").show(250);
        if (SecureCollaborationJSON.L11 != undefined) {

            if (SecureCollaborationJSON.L11.L11F1 != undefined && SecureCollaborationJSON.L11.L11F1 != '') {
                $('#L11F1').val(Base64.decode(SecureCollaborationJSON.L11.L11F1));
            }
            if (SecureCollaborationJSON.L11.L11F2 != undefined && SecureCollaborationJSON.L11.L11F2 != '') {
                $('#L11F2').val(Base64.decode(SecureCollaborationJSON.L11.L11F2));
            }
            if (SecureCollaborationJSON.L11.L11F3 != undefined && SecureCollaborationJSON.L11.L11F3 != '') {
                $("#L11F3").val(Base64.decode(SecureCollaborationJSON.L11.L11F3));
            }
            if (SecureCollaborationJSON.L11.L11F4 != undefined && SecureCollaborationJSON.L11.L11F4 != '') {
                $('#L11F4').val(Base64.decode(SecureCollaborationJSON.L11.L11F4));
            }
            if (SecureCollaborationJSON.L11.L11F5 != undefined && SecureCollaborationJSON.L11.L11F5 != '') {
                $('#L11F5').val(Base64.decode(SecureCollaborationJSON.L11.L11F5));
            }


            if (SecureCollaborationJSON.L11.L11F8 != undefined && SecureCollaborationJSON.L11.L11F8 != '') {
                $('#L11F8').val(Base64.decode(SecureCollaborationJSON.L11.L11F8));
            }
            if (SecureCollaborationJSON.L11.L11F9 != undefined && SecureCollaborationJSON.L11.L11F9 != '') {
                $('#L11F9').val(Base64.decode(SecureCollaborationJSON.L11.L11F9));
            }
            //2020-07-01 RJS
            if (SecureCollaborationJSON.L11.L11F23 != undefined && SecureCollaborationJSON.L11.L11F23 != '') {
                $('#L11F23').val(Base64.decode(SecureCollaborationJSON.L11.L11F23));
            }
            //2020-07-01 RJS
            if (SecureCollaborationJSON.L11.L11F10 != undefined && SecureCollaborationJSON.L11.L11F10 != '') {
                if (SecureCollaborationJSON.L11.L11F10 == 'false') {
                    $('#L11F10').attr('checked', false);
                }
                else {
                    $('#L11F10').attr('checked', true);
                }
            }
            if (SecureCollaborationJSON.L11.L11F11 != undefined && SecureCollaborationJSON.L11.L11F11 != '') {
                if (SecureCollaborationJSON.L11.L11F11 == 'false') {
                    $('#L11F11').attr('checked', false);
                }
                else {
                    $('#L11F11').attr('checked', true);
                }
            }
            if (SecureCollaborationJSON.L11.L11F17 != undefined && SecureCollaborationJSON.L11.L11F17 != '') {
                if (SecureCollaborationJSON.L11.L11F17 == 'false') {
                    $('#L11F17').attr('checked', false);
                }
                else {
                    $('#L11F17').attr('checked', true);
                }
            }
            if (SecureCollaborationJSON.L11.L11F18 != undefined && SecureCollaborationJSON.L11.L11F18 != '') {
                if (SecureCollaborationJSON.L11.L11F18 == 'false') {
                    $('#L11F18').attr('checked', false);
                }
                else {
                    $('#L11F18').attr('checked', true);
                }
            }
            if (SecureCollaborationJSON.L11.L11F19 != undefined && SecureCollaborationJSON.L11.L11F19 != '') {
                if (SecureCollaborationJSON.L11.L11F19 == 'false') {
                    $('#L11F19').attr('checked', false);
                }
                else {
                    $('#L11F19').attr('checked', true);
                }
            }
            if (SecureCollaborationJSON.L11.L11F20 != undefined && SecureCollaborationJSON.L11.L11F20 != '') {
                if (SecureCollaborationJSON.L11.L11F20 == 'false') {
                    $('#L11F20').attr('checked', false);
                }
                else {
                    $('#L11F20').attr('checked', true);
                }
            }
            /*2020-04-03 RJS LAA CHANGES*/
            if (SecureCollaborationJSON.L11.L11F21 != undefined && SecureCollaborationJSON.L11.L11F21 != '') {
                if (SecureCollaborationJSON.L11.L11F21 == 'false') {
                    $('#L11F21').attr('checked', false);
                }
                else {
                    $('#L11F21').attr('checked', true);
                }
            }
            if (SecureCollaborationJSON.L11.L11F22 != undefined && SecureCollaborationJSON.L11.L11F22 != '') {
                if (SecureCollaborationJSON.L11.L11F22 == 'false') {
                    $('#L11F22').attr('checked', false);
                }
                else {
                    $('#L11F22').attr('checked', true);
                }
            }
            /*2020-04-03 RJS LAA CHANGES*/
            if (SecureCollaborationJSON.L11.L11F12 != undefined && SecureCollaborationJSON.L11.L11F12 != '') {
                $('#L11F12').val(Base64.decode(SecureCollaborationJSON.L11.L11F12));
            }
            //2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised
            //if (SecureCollaborationJSON.L11.L11F13 != undefined && SecureCollaborationJSON.L11.L11F13 != '') {
            //    $emailTemplatesJSON = JSON.parse(b64DecodeUnicode(SecureCollaborationJSON.L11.L11F13));
            //    if ($emailTemplatesJSON["1"]["subject"] != undefined && $emailTemplatesJSON["1"]["subject"] != '') {
            //        $("#workspace_template_1_subject").val(b64DecodeUnicode($emailTemplatesJSON["1"]["subject"]));
            //    }
            //    else {
            //        $("#workspace_template_1_subject").val("Workspace Created: $WORKSPACENAME$");
            //    }
            //    if ($emailTemplatesJSON["2"]["subject"] != undefined && $emailTemplatesJSON["2"]["subject"] != '') {
            //        $("#workspace_template_2_subject").val(b64DecodeUnicode($emailTemplatesJSON["2"]["subject"]));
            //    }
            //    else {
            //        $("#workspace_template_2_subject").val("You have been added as a member to Workspace: $WORKSPACENAME$");
            //    }
            //    if ($emailTemplatesJSON["3"]["subject"] != undefined && $emailTemplatesJSON["3"]["subject"] != '') {
            //        $("#workspace_template_3_subject").val(b64DecodeUnicode($emailTemplatesJSON["3"]["subject"]));
            //    }
            //    else {
            //        $("#workspace_template_3_subject").val("File Uploaded To: $WORKSPACENAME$");
            //    }
            //    if ($emailTemplatesJSON["4"]["subject"] != undefined && $emailTemplatesJSON["4"]["subject"] != '') {
            //        $("#workspace_template_4_subject").val(b64DecodeUnicode($emailTemplatesJSON["4"]["subject"]));
            //    }
            //    else {
            //        $("#workspace_template_4_subject").val("Find Attached Documents");
            //    }
            //    if ($emailTemplatesJSON["5"] != undefined && $emailTemplatesJSON["5"]["subject"] != undefined && $emailTemplatesJSON["5"]["subject"] != '') {
            //        $("#workspace_template_5_subject").val(b64DecodeUnicode($emailTemplatesJSON["5"]["subject"]));
            //    }
            //    else {
            //        $("#workspace_template_5_subject").val("Workspace Notification");
            //    }
            //    if ($emailTemplatesJSON["6"] != undefined && $emailTemplatesJSON["6"]["subject"] != undefined && $emailTemplatesJSON["6"]["subject"] != '') {
            //        $("#workspace_template_6_subject").val(b64DecodeUnicode($emailTemplatesJSON["6"]["subject"]));
            //    }
            //    else {
            //        $("#workspace_template_6_subject").val("You have been added as a reviewer to Workspace: $WORKSPACENAME$");
            //    }

            //    if ($emailTemplatesJSON["1"]["body"] != undefined && $emailTemplatesJSON["1"]["body"] != '') {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_1.setData(b64DecodeUnicode($emailTemplatesJSON["1"]["body"]));
            //        });
            //    }
            //    else {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_1.setData(fnGetWorkspaceEmailTempate("1"));
            //        });
            //    }
            //    if ($emailTemplatesJSON["2"]["body"] != undefined && $emailTemplatesJSON["2"]["body"] != '') {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_2.setData(b64DecodeUnicode($emailTemplatesJSON["2"]["body"]));
            //        });
            //    }
            //    else {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_2.setData(fnGetWorkspaceEmailTempate("2"));
            //        });
            //    }
            //    if ($emailTemplatesJSON["3"]["body"] != undefined && $emailTemplatesJSON["3"]["body"] != '') {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_3.setData(b64DecodeUnicode($emailTemplatesJSON["3"]["body"]));
            //        });
            //    }
            //    else {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_3.setData(fnGetWorkspaceEmailTempate("3"));
            //        });
            //    }
            //    if ($emailTemplatesJSON["4"]["body"] != undefined && $emailTemplatesJSON["4"]["body"] != '') {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_4.setData(b64DecodeUnicode($emailTemplatesJSON["4"]["body"]));
            //        });
            //    }
            //    else {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_4.setData(fnGetWorkspaceEmailTempate("4"));
            //        });
            //    }
            //    if ($emailTemplatesJSON["5"] != undefined && $emailTemplatesJSON["5"]["body"] != undefined && $emailTemplatesJSON["5"]["body"] != '') {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_5.setData(b64DecodeUnicode($emailTemplatesJSON["5"]["body"]));
            //        });
            //    }
            //    else {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_5.setData(fnGetWorkspaceEmailTempate("5"));
            //        });
            //    }
            //    if ($emailTemplatesJSON["6"] != undefined && $emailTemplatesJSON["6"]["body"] != undefined && $emailTemplatesJSON["6"]["body"] != '') {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_6.setData(b64DecodeUnicode($emailTemplatesJSON["6"]["body"]));
            //        });
            //    }
            //    else {
            //        CKEDITOR.on('instanceReady', function () {
            //            CKEDITOR.instances.workspace_template_6.setData(fnGetWorkspaceEmailTempate("6"));
            //        });
            //    }
            //}
            //2020-05-20 RJS - We are removing the code to add the email templates as they are now centralised

            if (SecureCollaborationJSON.L11.L11F14 != undefined && SecureCollaborationJSON.L11.L11F14 != '') {
                $('#L11F14').val(Base64.decode(SecureCollaborationJSON.L11.L11F14));
            }
            if (SecureCollaborationJSON.L11.L11F15 != undefined && SecureCollaborationJSON.L11.L11F15 != '') {
                $('#L11F15').val(Base64.decode(SecureCollaborationJSON.L11.L11F15));
            }
            if (SecureCollaborationJSON.L11.L11F16 != undefined && SecureCollaborationJSON.L11.L11F16 != '') {
                CKEDITOR.on('instanceReady', function () {
                    CKEDITOR.instances.L11F16.setData(b64DecodeUnicode(SecureCollaborationJSON.L11.L11F16));
                });
            }

            //2020-07-27 RJS
            if (SecureCollaborationJSON.L11.L11F24 != undefined && SecureCollaborationJSON.L11.L11F24 != '') {
                if (SecureCollaborationJSON.L11.L11F24 == 'false') {
                    $('#L11F24').attr('checked', false);
                }
                else {
                    $('#L11F24').attr('checked', true);
                }
            }
            //2020-07-27 RJS
        }
        else {
            //// Lets set the default values for the email templates
            //CKEDITOR.on('instanceReady', function () {
            //    CKEDITOR.instances.workspace_template_1.setData(fnGetWorkspaceEmailTempate("1"));
            //});
            //CKEDITOR.on('instanceReady', function () {
            //    CKEDITOR.instances.workspace_template_2.setData(fnGetWorkspaceEmailTempate("2"));
            //});
            //CKEDITOR.on('instanceReady', function () {
            //    CKEDITOR.instances.workspace_template_3.setData(fnGetWorkspaceEmailTempate("3"));
            //});
            //CKEDITOR.on('instanceReady', function () {
            //    CKEDITOR.instances.workspace_template_4.setData(fnGetWorkspaceEmailTempate("4"));
            //});
            //CKEDITOR.on('instanceReady', function () {
            //    CKEDITOR.instances.workspace_template_5.setData(fnGetWorkspaceEmailTempate("5"));
            //});
            //CKEDITOR.on('instanceReady', function () {
            //    CKEDITOR.instances.workspace_template_6.setData(fnGetWorkspaceEmailTempate("6"));
            //});
        }
    }
    else {
        if ($("#EXT_L11") != undefined) {
            $("#EXT_L11").hide();
        }
        if ($("#li_conf_workspace") != undefined) {
            $("#li_conf_workspace").hide();
        }

    }
    /*25_10_2018_RJS*/

    if (additionalConfigurationJSON.L5 != undefined) {
        if (additionalConfigurationJSON.L5.L5F2 != undefined
            && additionalConfigurationJSON.L5.L5F2 != ''
            && $('#L5F2').length > 0
        ) {
            if (additionalConfigurationJSON.L5.L5F2 == 'false') {
                $('#L5F2').attr('checked', false);
            }
            else {
                $('#L5F2').attr('checked', true);
            }
        }
    }
    if (additionalConfigurationJSON.L13 != undefined) {
        if (additionalConfigurationJSON.L13.L13F1 != undefined && additionalConfigurationJSON.L13.L13F1 != '' && $('#L13F1').length > 0) {
            if (additionalConfigurationJSON.L13.L13F1 == 'false') {
                $('#L13F1').attr('checked', false);
            }
            else {
                $('#L13F1').attr('checked', true);
            }
        }
        if (additionalConfigurationJSON.L13.L13F2 != undefined && additionalConfigurationJSON.L13.L13F2 != '' && $('#L13F2').length > 0) {
            $('#L13F2').val(Base64.decode(additionalConfigurationJSON.L13.L13F2));
        }
    }

    if (additionalConfigurationJSON.L23 != undefined) {
        if (additionalConfigurationJSON.L23.L23F2 != undefined && additionalConfigurationJSON.L23.L23F2 != '' && $('#L23F2').length > 0) {
            $('#L23F2').val(Base64.decode(additionalConfigurationJSON.L23.L23F2));
        }
        if (additionalConfigurationJSON.L23.L23F3 != undefined && additionalConfigurationJSON.L23.L23F3 != '' && $('#L23F3').length > 0) {
            $('#L23F3').val(Base64.decode(additionalConfigurationJSON.L23.L23F3));
        }
        // OUK 29/04/2021 3053 NRR
        if (additionalConfigurationJSON.L23.L23F4 != undefined
            && additionalConfigurationJSON.L23.L23F4 != ''
            && $('#L23F4').length > 0
        ) {
            if (additionalConfigurationJSON.L23.L23F4 == 'false') {
                $('#L23F4').attr('checked', false);
            }
            else {
                $('#L23F4').attr('checked', true);
            }
        }
        // OUK 29/04/2021 3053 NRR

        // PD 04/10/2021 
        if (additionalConfigurationJSON.L23.L23F5 != undefined
            && additionalConfigurationJSON.L23.L23F5 != ''
            && $('#L23F5').length > 0
        ) {
            if (additionalConfigurationJSON.L23.L23F5 == 'false') {
                $('#L23F5').attr('checked', false);
            }
            else {
                $('#L23F5').attr('checked', true);
            }
        }
        // PD 04/10/2021 
    }
    // store the currently selected tab in the hash value
    $("ul.nav-tabs > li > a").on("shown.bs.tab", function (e) {
        sessionStorage.setItem("configuration_tab", $(this).attr('id'));
    });

    // on load of the page: switch to the currently selected tab
    if (sessionStorage.getItem("configuration_tab") != null) {
        var clickeId = sessionStorage.getItem("configuration_tab");
        $("#" + clickeId).click();
    }


    /*25-03-2020 RJS*/
    if (bEnableYotiVerify == true) {
        $("#EXT_L26").show(250);
        $("#li_conf_yotiverify").show(250);
        if (YotiVerifyJSON.L26 != undefined) {

            if (YotiVerifyJSON.L26.L26F1 != undefined && YotiVerifyJSON.L26.L26F1 != '') {
                $('#L26F1').val(Base64.decode(YotiVerifyJSON.L26.L26F1));
            }
            if (YotiVerifyJSON.L26.L26F2 != undefined && YotiVerifyJSON.L26.L26F2 != '') {
                $('#L26F2').val(Base64.decode(YotiVerifyJSON.L26.L26F2));
            }
            if (YotiVerifyJSON.L26.L26F3 != undefined && YotiVerifyJSON.L26.L26F3 != '') {
                $("#L26F3").val(Base64.decode(YotiVerifyJSON.L26.L26F3));
            }
            if (YotiVerifyJSON.L26.L26F4 != undefined && YotiVerifyJSON.L26.L26F4 != '') {
                $('#L26F4').val(Base64.decode(YotiVerifyJSON.L26.L26F4));
            }
            //02/03/2021 OUK 2799
            if (YotiVerifyJSON.L26.L26F7 != undefined && YotiVerifyJSON.L26.L26F7 != '') {
                $('#L26F7').val(Base64.decode(YotiVerifyJSON.L26.L26F7));
            }
            if (YotiVerifyJSON.L26.L26F8 != undefined && YotiVerifyJSON.L26.L26F8 != '') {
                $('#L26F8').val(Base64.decode(YotiVerifyJSON.L26.L26F8));
            }
            //02/03/2021 OUK 2799
        }
    }
    else {
        if ($("#EXT_L26") != undefined) {
            $("#EXT_L26").hide();
        }
        if ($("#li_conf_yotiverify") != undefined) {
            $("#li_conf_yotiverify").hide();
        }

    }
    /*25-03-2020 RJS*/
    /*2021-05-24 KMB show SDS*/
    setSDSConfData();
    /*2021-05-24 KMB*/
    //2022-04-07 KMB LockChat Enterprise 4911
    //setLockChatEnterpriseConf();
});

//MK: 23-08-2021 #3639 : Configure DDS Signing Certificate for specific corporate
$("#changeCertificateData").click(function () {

    $("#corpcertificatedata").val('');
    $("#L9F12_old").val('');
    $("#SetcertificateDataDiv").show();
    $("#certificateDataDiv").hide();
});
//MK: 23-08-2021 #3639 : Configure DDS Signing Certificate for specific corporate