﻿var lowercaselimit = 1;
var uppercaselimit = 1;
var digitlimit = 1;
var specialCharLimit = 1;
var lengthlimit = 10;
var strEmailForPasswordComplexity = '';
/*2020-11-10 RJS 2091*/
var maxrepeatcount = 0;
/*2020-11-10 RJS 2091*/
function toggle(x) {
    if (x.type === "password") {
        x.type = "text";
    } else {
        x.type = "password";
    }
}
$(document).ready(function () {

    var $pwField = document.getElementsByClassName("NewPassword")[0];
    var $cfField = document.getElementsByClassName("ConfirmPassword")[0];

    try {
        if ($pwField != undefined) {
            // When the user starts to type something inside the password field
            $pwField.onkeyup = function () {
                fnPerformValidation();
            }
            $cfField.onkeyup = function () {
                fnPerformValidation();
            }
            var serviceUrl = "";
            if (strEmailForPasswordComplexity != '' && strEmailForPasswordComplexity != undefined) {
                serviceUrl = "/Services/PasswordPolicyDetails?strEmail=" + encodeURI(strEmailForPasswordComplexity);
            } else {
                serviceUrl = "/Services/PasswordPolicyDetails"
            }
            $.ajax({
                cache: false,
                async: false,
                url: serviceUrl,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                success: function (data) {
                    if (data != null && data != undefined) {
                        changePasswordValidationLables(data);
                    }
                    return false;
                },
                error: function (jqXHR, status, err) {

                }
            });

        }
    } catch (e) {

    }


});

function changePasswordValidationLables(data) {
    if (data != null && data != undefined && data != '') {
        var policy = JSON.parse(data);
        lowercaselimit = policy.password_policy_lower_case_length;
        uppercaselimit = policy.password_policy_upper_case_length;
        digitlimit = policy.password_policy_numeric_length;
        specialCharLimit = policy.password_policy_non_alpha_numeric_length;
        lengthlimit = policy.password_policy_minimum_length;
        /*2020-11-10 RJS 2091*/
        maxrepeatcount = policy.password_policy_max_character_repeat_count;
        /*2020-11-10 RJS 2091*/
        if (lowercaselimit > 0) {
            $("#letter").html(lowercaselimit + " <b>lowercase</b> letters");
        } else {
            $("#letter").html("");
            $("#letter").removeClass("invalid");
        }
        if (uppercaselimit > 0) {
            $("#capital").html(uppercaselimit + " <b>capital (uppercase)</b> letters");
        } else {
            $("#capital").html("");
            $("#capital").removeClass("invalid");
        }
        if (digitlimit > 0) {
            $("#number").html(digitlimit + " <b>numbers</b>");
        } else {
            $("#number").html("");
            $("#number").removeClass("invalid");

        }
        if (specialCharLimit > 0) {
            $("#specialchar").html(specialCharLimit + " <b>special characters</b>");
        } else {
            $("#specialchar").html("");
            $("#specialchar").removeClass("invalid");

        }

        if (lengthlimit > 0) {
            $("#length").html("Minimum <b>" + lengthlimit + " characters</b>");
        } else {
            $("#length").html("");
            $("#length").removeClass("invalid");

        }

        /*2020-11-10 RJS 2091*/
        if (maxrepeatcount > 0) {
            $("#maxrepeat").html("Allowed repeat count <b>" + maxrepeatcount + " characters</b>");
        } else {
            $("#maxrepeat").html("");
            $("#maxrepeat").removeClass("invalid");
            $("#maxrepeat").removeClass("valid-password");
        }
        /*2020-11-10 RJS 2091*/
    }
}
function fnPerformValidation() {

    var $pwField = document.getElementsByClassName("NewPassword")[0];
    var $cfField = document.getElementsByClassName("ConfirmPassword")[0];
    var letter = document.getElementById("letter");
    var capital = document.getElementById("capital");
    var number = document.getElementById("number");
    var length = document.getElementById("length");
    /*2020-11-10 RJS 2091*/
    var maxrepeatcountdiv = document.getElementById("maxrepeat");
    /*2020-11-10 RJS 2091*/
    var specialchar = document.getElementById("specialchar");
    var match = document.getElementById("match");
    var $passed = true;
    //  var lowercaselimit = 4;
    if (lowercaselimit > 0) {
        var lowercaseRegX = "(?=(.*[a-z]){" + lowercaselimit + "})"
        // Validate lowercase letters
        var lowerCaseLetters = new RegExp(lowercaseRegX, 'g');
        if ($pwField.value.match(lowerCaseLetters)) {
            letter.classList.remove("invalid");
            letter.classList.add("valid-password");
        } else {
            letter.classList.remove("valid-password");
            letter.classList.add("invalid");
            $passed = false;
        }
    }

    // Validate capital letters
    if (uppercaselimit > 0) {
        var uppercaseRegX = "(?=(.*[A-Z]){" + uppercaselimit + "})";
        var upperCaseLetters = new RegExp(uppercaseRegX, 'g');
        // var upperCaseLetters = /[A-Z]/g;
        if ($pwField.value.match(upperCaseLetters)) {
            capital.classList.remove("invalid");
            capital.classList.add("valid-password");
        } else {
            capital.classList.remove("valid-password");
            capital.classList.add("invalid");
            $passed = false;
        }
    }

    // Validate numbers
    if (digitlimit > 0) {
        var digitRegX = "(?=(.*[0-9]){" + digitlimit + "})";
        var numbers = new RegExp(digitRegX, 'g');
        // var numbers = /[0-9]/g;
        if ($pwField.value.match(numbers)) {
            number.classList.remove("invalid");
            number.classList.add("valid-password");
        } else {
            number.classList.remove("valid-password");
            number.classList.add("invalid");
            $passed = false;
        }
    }
    if (specialCharLimit > 0) {
        //  var specialCharRegx = "(?=(.*[!@#$%^&*(),.?\":';{}|<>+=`_~-£]¬){" + specialCharLimit + "})";
        // OUK 09/04/2022  4908
        var specialCharRegx = "(?=(.*[^A-Za-z0-9]){" + specialCharLimit + "})";
        // OUK 09/04/2022  4908
        var specialChars = new RegExp(specialCharRegx, 'g');
        // var numbers = /[0-9]/g;
        if ($pwField.value.match(specialChars)) {
            specialchar.classList.remove("invalid");
            specialchar.classList.add("valid-password");
        } else {
            specialchar.classList.remove("valid-password");
            specialchar.classList.add("invalid");
            $passed = false;
        }
    }
    /*2020-11-10 RJS 2091 */
    if (maxrepeatcount > 0 && $pwField.value != '') {
        var $passwordEntered = $pwField.value;
        $passwordEntered = $passwordEntered.toLowerCase();
        var $arrCharacters = $passwordEntered.split('');
        var bRepeatFailed = false;
        if ($arrCharacters.length > 0) {
            for (i = 0; i < $arrCharacters.length && bRepeatFailed == false; i++)
            {
                var $nRCount = 1;
                for (j = 0; j < $arrCharacters.length; j++)
                {
                    if (i != j && $arrCharacters[i] == $arrCharacters[j]) {
                        $nRCount++;
                        if ($nRCount > maxrepeatcount) {
                            bRepeatFailed = true;
                        }
                    }
                }
            }
            if (bRepeatFailed == true) {
                maxrepeatcountdiv.classList.remove("valid-password");
                maxrepeatcountdiv.classList.add("invalid");
                $passed = false;
            } else {
                maxrepeatcountdiv.classList.remove("invalid");
                maxrepeatcountdiv.classList.add("valid-password");
            }
        }
    }
    /*2020-11-10 RJS 2091*/

    // Validate length
    if ($pwField.value.length >= lengthlimit) {
        length.classList.remove("invalid");
        length.classList.add("valid-password");
    } else {
        length.classList.remove("valid-password");
        length.classList.add("invalid");
        $passed = false;
    }
    if ($pwField.value == $cfField.value && $pwField.value != undefined) {
        if ($pwField.value.trim() != '') {
            match.classList.remove("invalid");
            match.classList.add("valid-password");
        }
        else {
            match.classList.remove("valid-password");
            match.classList.add("invalid");
            $passed = false;
        }
    } else {
        match.classList.remove("valid-password");
        match.classList.add("invalid");
        $passed = false;
    }

    if ($passed == false) {
        var $updateButton = $(".updateButton");
        if ($updateButton != undefined) {
            $updateButton.attr("disabled", true);
        }
    }
    else {
        var $updateButton = $(".updateButton");
        if ($updateButton != undefined) {
            $updateButton.attr("disabled", false);
        }
    }
}