﻿function b64EncodeUnicode(str) {
    // first we use encodeURIComponent to get percent-encoded UTF-8,
    // then we convert the percent encodings into raw bytes which
    // can be fed into btoa.
    return btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g,
        function toSolidBytes(match, p1) {
            return String.fromCharCode('0x' + p1);
        }));
}

$(document).ready(function () {
    var $datatablesFixedheader = $('#emailTemplatesTable');
    if ($datatablesFixedheader.length) {
        $datatablesFixedheader = $datatablesFixedheader.DataTable({
            bSort: false,
            deferRender: true,
            scrollY: 500,
            scrollCollapse: true,
            scroller: true,
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });

        $(window).on('resize', function (evt) {
            setTimeout(function () {
                $datatablesFixedheader.columns.adjust().responsive.recalc();
            }, 150);
        });
    }
});


function copyToClipboard(elem) {
    // create hidden text element, if it doesn't already exist
    var targetId = "_hiddenCopyText_";
    var isInput = elem.tagName === "INPUT" || elem.tagName === "TEXTAREA";
    var origSelectionStart, origSelectionEnd;
    if (isInput) {
        // can just use the original source element for the selection and copy
        target = elem;
        origSelectionStart = elem.selectionStart;
        origSelectionEnd = elem.selectionEnd;
    } else {
        // must use a temporary form element for the selection and copy
        target = document.getElementById(targetId);
        if (!target) {
            var target = document.createElement("textarea");
            target.style.position = "absolute";
            target.style.left = "-9999px";
            target.style.top = "0";
            target.id = targetId;
            document.body.appendChild(target);
        }
        target.textContent = elem.textContent;
    }
    // select the content
    var currentFocus = document.activeElement;
    target.focus();
    target.setSelectionRange(0, target.value.length);

    // copy the selection
    var succeed;
    try {
        succeed = document.execCommand("copy");
    } catch (e) {
        succeed = false;
    }
    // restore original focus
    if (currentFocus && typeof currentFocus.focus === "function") {
        currentFocus.focus();
    }

    if (isInput) {
        // restore prior selection
        elem.setSelectionRange(origSelectionStart, origSelectionEnd);
    } else {
        // clear temporary content
        target.textContent = "";
    }
    return succeed;
}

$(document).on('click', '.variableCls', function (e) {
    if (copyToClipboard(this) == true) {
        var options = {};
        options['closeButton'] = true;
        options['positionClass'] = "toast-top-center";
        options['type'] = "success";
        var title = "";
        toastr[options.type]("Copied", title, options);
    }
});


$(document).on('click', '#resetToDefault', function (e) {
    var $etid = $("#etid").val();
    $etid = b64EncodeUnicode($etid);
    var $umid = $("#umid").val();

    $('<div id="overlay"/>').css({
        position: 'fixed',
        top: 0,
        left: 0,
        width: '100%',
        height: $(window).height() + 'px',
        background: 'white url(/Content/img/galaxkey_whitebk_ani.gif) no-repeat center',
        opacity: 0.90
    }).hide().appendTo('body');
    $('#overlay').show();
    $.post('EditTemplateReset', {
        etid: $etid,
        umid: $umid
    }).done(function (data) {
        if (data != undefined) {
            var obj = jQuery.parseJSON(data);
            if (obj.result == "true") {
                window.location.reload();
            }
            else {
                $('#overlay').hide();
                $("#errorMessage").html(obj.message);
                $("#errorMessage").show();
            }
        }
        else {
            $('#overlay').hide();
            $("#errorMessage").html("Unable to perform template resetting at this time.");
            $("#errorMessage").show();
        }
    })
        .fail(function () {
            $('#overlay').hide();
            $("#errorMessage").html("Unable to perform template resetting at this time.");
            $("#errorMessage").show();
        });
});


$("#editEmailTemplateForm").submit(function () {
    if ($(this).valid()) {
        var $etid = $("#etid").val();
        var $template = "";
        if (bH == true) {
            $template = CKEDITOR.instances['template'].getData();
        }
        else {
            $template = $("#template").val();
        }
        var $subject = $("#subject").val();
        var $name = $("#name").val();
        var $description = $("#description").val();
        var $html = "true";
        if ($("#html").type != undefined && $("#html").type == 'hidden') {
            $html = toLower($("#html").val());
        }
        else {
            if ($("#html").prop("checked") == true) {
                $html = "true";
            }
        }
        var $allow_corporate_admin_variation = "false";
        if ($("#allow_corporate_admin_variation").prop("checked") == true) {
            $allow_corporate_admin_variation = "true";
        }
        var $subject_not_required = "false";
        if ($("#subject_not_required").prop("checked") == true) {
            $subject_not_required = "true";
        }
        var $store_template_on_hybrid_as_well = "false";
        if ($("#store_template_on_hybrid_as_well").prop("checked") == true) {
            $store_template_on_hybrid_as_well = "true";
        }
        var $required_license_category = $("#required_license_category").val();

        var $sequence = $("#sequence").val();
        var $category = $("#category").val();
        var $allowed_variables = $("#allowed_variables").val();
        var $required_variables = $("#required_variables").val();
        var $umid = $("#umid").val();
        // Convert the template into base64
        $etid = b64EncodeUnicode($etid);
        $template = b64EncodeUnicode($template);
        $subject = b64EncodeUnicode($subject);
        $name = b64EncodeUnicode($name);
        $description = b64EncodeUnicode($description);
        $category = b64EncodeUnicode($category);
        $allowed_variables = b64EncodeUnicode($allowed_variables);
        $required_variables = b64EncodeUnicode($required_variables);
        $required_license_category = b64EncodeUnicode($required_license_category);

        // Create overlay and append to body:
        $('<div id="overlay"/>').css({
            position: 'fixed',
            top: 0,
            left: 0,
            width: '100%',
            height: $(window).height() + 'px',
            background: 'white url(/Content/img/galaxkey_whitebk_ani.gif) no-repeat center',
            opacity: 0.90
        }).hide().appendTo('body');
        $('#overlay').show();
        $.post('EditTemplate', {
            etid: $etid,
            templateb64: $template,
            subject: $subject,
            subject_not_required: $subject_not_required,
            name: $name,
            allow_corporate_admin_variation: $allow_corporate_admin_variation,
            description: $description,
            html: $html,
            sequence: $sequence,
            category: $category,
            allowed_variables: $allowed_variables,
            required_variables: $required_variables,
            required_license_category: $required_license_category,
            store_template_on_hybrid_as_well: $store_template_on_hybrid_as_well,
            umid:$umid
        }).done(function (data) {
            if (data != undefined) {
                var obj = jQuery.parseJSON(data);
                if (obj.result == "true") {
                    window.location.href = sR;
                }
                else {
                    $('#overlay').hide();
                    $("#errorMessage").html(obj.message);
                    $("#errorMessage").show();
                }
            }
            else {
                $('#overlay').hide();
                $("#errorMessage").html("Unable to perform template updating at this time.");
                $("#errorMessage").show();
            }
        })
            .fail(function () {
                $('#overlay').hide();
                $("#errorMessage").html("Unable to perform template updating at this time.");
                $("#errorMessage").show();
            });


        return false;
    }
});